<?php
/************************************************************************************
  Fotokasten.de-Plugin fr Coppermine Foto-Galerie
  
  Copyright (c) 2008 Stefan.Schipp <St.Schipp@gmx.de> (php-script)
  Copyright (c) 2003 Fotokasten.de GmbH, www.fotokasten.de (JavaScript)
  ****************************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ****************************************************************
  Fotokasten.de-Bilderdienst-Plugin Version 1.0
  $Autor: Stefan Schipp $
************************************************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');
$thisplugin->add_filter('file_data','pic_bilderdienst');

function pic_bilderdienst($pic_data)
  {

/* PLUGIN CONFIGURATION
************************************************************************************

Please setup you country/language you want to use for the Fotokasten shop webpage
set $languageID to the number of language you want to use e.g. $languageID=12 --> Germany (german)

0=Austria (german)
1=Belgium (english)
2=Belgium (nederduits)
3=Belgium (franais)
4=Bulgaria (english)
5=Cyprus (english)
6=Czech Republic (english)
7=Denmark (english)
8=Estonia (english)
9=Finland (english)
10=France (franais)
11=Germany (german)
12=Greece (english)
13=Hungary (english)
14=Ireland (english)
15=Italy (english)
16=Latvia (english)
17=Lithuania (english)
18=Luxembourg (english)
19=Luxembourg (german)
20=Luxembourg (franais)
21=Malta (english)
22=Netherlands (nederduits)
23=Poland (english)
24=Portugal (english)
25=Romania (english)
26=Slovakia (english)
27=Spain (english)
28=Sweden (swedish)
29=Switzerland (english)
30=Switzerland (german)
31=Switzerland (franais)
32=United Kingdom (english)
************************************************************************************/

$languageID = 11;

/************************************************************************************

If you have your own affiliate account you could use your own account
change $AffiliateID = 2193 to your own $AffiliateID
************************************************************************************/

$AffiliateID = 2193;

/* END OF CONFIGURATION
************************************************************************************/

    global $CONFIG;

// generate needed variables
    $fullsize_URL = get_pic_url($pic_data);
    $thumb_URL = get_pic_url($pic_data, "thumb");
    $image_dimension = getimagesize($fullsize_URL);
    $languagestring = array("language=de&amp;country=Austria", "language=en&amp;country=Belgium", "language=nl&amp;country=Belgium", "language=fr&amp;country=Belgium", "language=en&amp;country=Bulgaria", "language=en&amp;country=Cyprus", "language=en&amp;country=Czech Republic", "language=en&amp;country=Denmark", "language=en&amp;country=Estonia", "language=en&amp;country=Finland", "language=fr&amp;country=France", "language=de&amp;country=Germany", "language=en&amp;country=Greece", "language=en&amp;country=Hungary", "language=en&amp;country=Ireland", "language=en&amp;country=Italy", "language=en&amp;country=Latvia", "language=en&amp;country=Lithuania", "language=en&amp;country=Luxembourg", "language=de&amp;country=Luxembourg", "language=fr&amp;country=Luxembourg", "language=en&amp;country=Malta", "language=nl&amp;country=Netherlands", "language=en&amp;country=Poland", "language=en&amp;country=Portugal", "language=en&amp;country=Romania", "language=en&amp;country=Slovakia", "language=en&amp;country=Spain", "language=se&amp;country=Sweden", "language=en&amp;country=Switzerland", "language=de&amp;country=Switzerland", "language=fr&amp;country=Switzerland", "language=en&amp;country=United Kingdom");

// do a few checks
  if (($languageID == "") or (isset($languageID) == false) or (is_numeric($languageID) == false) or ($languageID > 32)){$languageID = 11;}
  if (($AffiliateID == "") or (isset($AffiliateID) == false) or (is_numeric($AffiliateID) == false)){$AffiliateID = 2193;}
  if ($languageID == 0 or $languageID == 11 or $languageID == 19 or $languageID == 30){$AddBasketText = "In Warenkorb legen (Fotokasten.de)";}
  else {$AddBasketText = "add to basket (Fotokasten.de)";}

// generate shoplink
    $pic_data['html'] = $pic_data['html']."<a href=\"javascript:fototransfer('".$AffiliateID."', '".$CONFIG['ecards_more_pic_target'].$fullsize_URL."', '".$CONFIG['ecards_more_pic_target'].$thumb_URL."', '".$image_dimension[0]."', '".$image_dimension[1]."', '".$languagestring[$languageID]."')\">".$AddBasketText."</a>";

    return $pic_data;
  }
?>